qusal/salt/sys-electrumx/files/server/bin/electrumx-cookie-save
Ben Grande 1b2f1ba941
fix: avoid operand evaluation as argument
Explicit end option parsing as the shell can be quite dangerous without
it.
2024-08-06 17:13:25 +02:00

25 lines
508 B
Bash
Executable File

#!/bin/sh
## SPDX-FileCopyrightText: 2024 Benjamin Grande M. S. <ben.grande.b@gmail.com>
##
## SPDX-License-Identifier: AGPL-3.0-or-later
set -eu
electrumx_conf="${HOME}/.electrumx/conf.d/cookie.conf"
cookie="${HOME}/.bitcoin/.cookie"
if ! test -f "${cookie}"; then
echo "cookie not found" >&2
exit 1
fi
if ! test -r "${cookie}"; then
echo "cannot read from cookie" >&2
exit 1
fi
auth="$(cat -- "${cookie}")"
echo "DAEMON_URL=${auth}@127.0.0.1:8332" | \
tee -- "${electrumx_conf}" >/dev/null